﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @*@Scripts.Render("~/bundles/modernizr")*@
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")

</head>
<body class="bg-light" style="position: relative; height: 100%; max-height: 100%;overflow-y: hidden;direction:ltr">

    <div id="Loader" class="w-100 position-fixed h-100 pt-5" style="background:rgba(255,255,255,0.7);top:0px;left:0px;z-index:9999999;">
        <div class="text-center w-100 mt-5 pt-5 align-middle">
            <div class="mt-5 pt-5">
                <img src="~/Content/Images/circle loading.gif"  class="img-fluid mt-5" width="40" />
            </div>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row">
            <div class="col-12 col-sm-2 pl-0 pr-0 pr-sm-4 side-nav d-print-none">
                <div class="bg-primary p-sm-3 p-2 p-sm-3 h-vh shadow-lg" style="direction:ltr;">
                    <div class="justify-content-center align-self-center d-inline d-sm-block text-center h-vh h4 position-relative mb-0">
                        <a class="text-left btn btn-primary pr-0 pl-0 pt-0 pb-sm-4 mb-0 mb-sm-4 mr-5 mr-sm-0 d-sm-block d-none" asp-controller="home" asp-action="index">
                            <span style="font-family:Arial;" class="font-weight-bolder">Home</span>
                        </a>

                        <a asp-action="index" asp-controller="Home" class="text-left mb-sm-2 mb-0 btn btn-dark d-inline d-sm-block text-white la la-school la-1x p-2 ml-2 ml-sm-0" title="Subjects"><span class="fontFamily pl-2 pr-2 h6 d-none d-sm-inline">Home</span></a>
                        <a asp-action="logout" asp-controller="Auth" class="text-left mb-sm-2 mb-0 btn btn-dark d-inline d-sm-block text-white la la-sign-out la-1x p-2 ml-2 ml-sm-0" title="Subjects"><span class="fontFamily pl-2 pr-2 h6 d-none d-sm-inline">Logout</span></a>


                        <small class="text-muted d-block d-sm-none w-100" style="font-size:12px;">SLASHAPPS.NET</small>
                    </div>
                </div>
            </div>

            <div class="col-12 col-sm-10 h-vh over-flow-y-auto pr-sm-5 pb-5 pb-sm-0">
                <div class="container-fluid text-left">
                    @RenderBody()
                </div>
            </div>
        </div>
    </div>

    @if (Request.QueryString["ErrorMsg"]!=null)
    {
        <div class="modal" id="ErrorMsgsModal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-body text-left">
                        <h4 class="font-weight-bold text-danger">@Request.QueryString["ErrorMsg"]</h4>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    }

    
    @RenderSection("scripts", required: false)
    <script>
        $(document).ready(function () {
            $(window).on('beforeunload', function () {
                $('#Loader').show();
            });

            $('#Loader').hide();
            $(window).bind("pageshow", function (event) {
                $('#Loader').hide();
            });

            $('#ErrorMsgsModal').modal('show');
        });
    </script>
</body>
</html>
